Bug 1570526 - [abrt] xdg-desktop-portal: g_variant_ref(): xdg-desktop-portal killed by SIGSEGV
Summary: [abrt] xdg-desktop-portal: g_variant_ref(): xdg-desktop-portal killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9d13790d6d46be4ea39229b9d3f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 06:58 UTC by Peter
Modified: 2019-05-28 19:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:56:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (22.61 KB, text/plain)
2018-04-23 06:58 UTC, Peter
no flags Details
File: cgroup (393 bytes, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details
File: core_backtrace (17.35 KB, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details
File: dso_list (3.57 KB, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details
File: environ (1.50 KB, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-23 06:59 UTC, Peter
no flags Details

Description Peter 2018-04-23 06:58:54 UTC
Version-Release number of selected component:
xdg-desktop-portal-0.10-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/xdg-desktop-portal
crash_function: g_variant_ref
executable:     /usr/libexec/xdg-desktop-portal
journald_cursor: s=6f0a780edbf8484fad7c1bc2f101d09f;i=2f2c;b=a5f3cdf29fb54a7b911d4c6dde5008d8;m=478ef726;t=56a7e815aa3d3;x=b1500c1ead657bb7
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_variant_ref at gvariant-core.c:663
 #1 save_file_done at src/file-chooser.c:497
 #2 g_task_return_now at gtask.c:1148
 #3 g_task_return at gtask.c:1206
 #4 reply_cb at gdbusproxy.c:2586
 #5 g_task_return_now at gtask.c:1148
 #6 g_task_return at gtask.c:1206
 #7 g_dbus_connection_call_done at gdbusconnection.c:5722
 #8 g_task_return_now at gtask.c:1148
 #9 complete_in_idle_cb at gtask.c:1162

Potential duplicate: bug 1541608

Comment 1 Peter 2018-04-23 06:58:58 UTC
Created attachment 1425562 [details]
File: backtrace

Comment 2 Peter 2018-04-23 06:59:00 UTC
Created attachment 1425563 [details]
File: cgroup

Comment 3 Peter 2018-04-23 06:59:01 UTC
Created attachment 1425564 [details]
File: core_backtrace

Comment 4 Peter 2018-04-23 06:59:03 UTC
Created attachment 1425565 [details]
File: cpuinfo

Comment 5 Peter 2018-04-23 06:59:04 UTC
Created attachment 1425566 [details]
File: dso_list

Comment 6 Peter 2018-04-23 06:59:05 UTC
Created attachment 1425567 [details]
File: environ

Comment 7 Peter 2018-04-23 06:59:07 UTC
Created attachment 1425568 [details]
File: exploitable

Comment 8 Peter 2018-04-23 06:59:08 UTC
Created attachment 1425569 [details]
File: limits

Comment 9 Ben Cotton 2019-05-02 21:54:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 19:56:51 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.